Last Comment Bug 694266 - Change about window to be an accessible dialog and put all relevant static info into its acc description
: Change about window to be an accessible dialog and put all relevant static in...
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Disability Access (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Firefox 10
Assigned To: Marco Zehe (:MarcoZ)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-13 01:51 PDT by James Teh [:Jamie]
Modified: 2011-10-24 21:49 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.39 KB, patch)
2011-10-13 07:20 PDT, Marco Zehe (:MarcoZ)
gavin.sharp: review+
Details | Diff | Splinter Review

Description James Teh [:Jamie] 2011-10-13 01:51:00 PDT
The details box containing most of the text in the About window (e.g. "Nightly is designed by Mozilla, a global community working together to make the Internet better. ...") has an accessible role of unknown. It used to (and should) have a role of property page. This is a vbox with an id of "detailsBox".

Unfortunately, I'm not sure when this broke. It is correct in an old Firefox 5pre build I have here (Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0a2) Gecko/20110517 Firefox/5.0a2), but not in 10pre.
Comment 1 Marco Zehe (:MarcoZ) 2011-10-13 02:14:45 PDT
Taking this.
Comment 2 Marco Zehe (:MarcoZ) 2011-10-13 07:20:45 PDT
Created attachment 566810 [details] [diff] [review]
Patch

This patch tricks accessibility APIs into thinking that this window is actually a dialog. Aside from the update stuff, it really is anyway. The relevant information the user wants to hear when initially entering the window is all shoved into the acc description of the dialog accessible itself, so different chunks no longer have to be discovered by tabbing around the dialog if the user just wants to hear the information.
Comment 3 alexander :surkov 2011-10-13 07:30:25 PDT
(In reply to Marco Zehe (:MarcoZ) from comment #2)
> Created attachment 566810 [details] [diff] [review] [diff] [details] [review]
> Patch
> 
> so different chunks no longer have to be discovered by tabbing
> around the dialog if the user just wants to hear the information.

Marco, about dialog contains some information like up-to-date status that is changed after you open the dialog or it contains different links. Is it still navigable content?
Comment 4 Marco Zehe (:MarcoZ) 2011-10-13 08:03:12 PDT
(In reply to alexander surkov from comment #3)
> Marco, about dialog contains some information like up-to-date status that is
> changed after you open the dialog or it contains different links. Is it
> still navigable content?

Yes, this patch just changes some ARIA magic around that has no impact on keyboard navigation.
Comment 5 David Bolter [:davidb] 2011-10-20 07:28:53 PDT
Inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/159a1ce7cabc
Comment 6 Marco Bonardo [::mak] 2011-10-21 02:10:30 PDT
https://hg.mozilla.org/mozilla-central/rev/159a1ce7cabc
Comment 7 Marco Zehe (:MarcoZ) 2011-10-24 09:46:41 PDT
Verified fixed in Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20111023 Firefox/10.0a1
Comment 8 James Teh [:Jamie] 2011-10-24 18:27:35 PDT
I assume this change was Firefox specific, as it still exists in Thunderbird (tested with Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20111024 Thunderbird/10.0a1). Is this assumption correct (in which case I'll file another bug against TB) or is something odd happening here?
Comment 9 James Teh [:Jamie] 2011-10-24 18:28:04 PDT
I mean the bug still exists in Thunderbird; i.e. it isn't fixed. :)
Comment 10 Marco Zehe (:MarcoZ) 2011-10-24 21:49:20 PDT
Yes, Thunderbird uses its own version of the dialog, so this is product specific.
Comment 11 Marco Zehe (:MarcoZ) 2011-10-24 21:49:46 PDT
You can just say "port the accessibility changes from bug 694266" to Thunderbird in that new bug.

Note You need to log in before you can comment on or make changes to this bug.